# Class URLRewritingModifier

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.http.modifier.URLRewritingModifier

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, PreProcessor, TestElement`

public class URLRewritingModifier extends AbstractTestElement implements Serializable, PreProcessor

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`URLRewritingModifier()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encode()`
`String`
`getArgumentName()`
`boolean`
`isPathExtension()`
`boolean`
`isPathExtensionNoEquals()`
`boolean`
`isPathExtensionNoQuestionmark()`
`void`
`process()`
`protected Object`
`readResolve()`
`void`
`setArgumentName(String argName)`
`void`
`setEncode(boolean b)`
`void`
`setPathExtension(boolean pathExt)`
`void`
`setPathExtensionNoEquals(boolean pathExtNoEquals)`
`void`
`setPathExtensionNoQuestionmark(boolean pathExtNoQuestionmark)`
`void`
`setShouldCache(boolean b)`
`boolean`
`shouldCache()`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URLRewritingModifier

public URLRewritingModifier()

## Method Details

### process

public void process()

Specified by:
  `process` in interface `PreProcessor`

### setArgumentName

public void setArgumentName(String argName)

### getArgumentName

public String getArgumentName()

### setPathExtension

public void setPathExtension(boolean pathExt)

### setPathExtensionNoEquals

public void setPathExtensionNoEquals(boolean pathExtNoEquals)

### setPathExtensionNoQuestionmark

public void setPathExtensionNoQuestionmark(boolean pathExtNoQuestionmark)

### setShouldCache

public void setShouldCache(boolean b)

### isPathExtension

public boolean isPathExtension()

### isPathExtensionNoEquals

public boolean isPathExtensionNoEquals()

### isPathExtensionNoQuestionmark

public boolean isPathExtensionNoQuestionmark()

### shouldCache

public boolean shouldCache()

### readResolve

protected Object readResolve()

### encode

public boolean encode()

### setEncode

public void setEncode(boolean b)